1. Blindfutur3's Avatar
    I'm very new to the forum, so I do apologize if this is in the wrong sub-forum.

    The problem I'm facing is this.

    I took out my contract at Carphone Warehouse, where their BlackBerry's are sold unlocked. However, my network operator is Vodafone.

    I'm trying to update the OS on my Curve and when it comes to selecting service provider from this page, I don't know whether to choose Vodafone UK, Carphone Warehouse or an option specifically for Unlocked devices.

    Any help would be greatly appreciated.


    ~ John
    06-22-09 06:51 PM
  2. aristile's Avatar
    You should read through all the OS threads, gauge all the feedback there and then decide for yourself what OS to go with. Generally, you will need to experiment as uses experience different things even on the same OS version.
    06-22-09 07:03 PM
  3. Touch Pro's Avatar
    Try 4.6.1.206 it works great!
    06-22-09 09:24 PM
  4. fatboy97's Avatar
    Personally I don't like recommending one OS over another for the same reasons as Aristile has already stated... YOU need to read and judge for yourself... I've only had one issue with any OS version, and that was mainly because it had issues with UMA calling and connecting to Wifi, but that was a long time ago.
    06-22-09 10:03 PM
  5. lazerus's Avatar
    They're all pretty much the same after .199

    Posted from my CrackBerry at wapforums.crackberry.com
    06-22-09 10:51 PM
  6. gadgetteer's Avatar
    I updated to .250 Saturday, everything seems to be working fine. Unlike my Bold which I updated to .282 and I am downgrading due to a memory leak. It seems that some of these Blackberry's like certain upgrades others prefer other upgrades or just to be left alone?

    I am a total newbie to Blackberry's but I have found it is easy to update, if it does not work it is easy to go back down. I have updated my unlocked 8900 twice so far without a hitch. I even went back in and unlocked some themes in the system which was well worth it.
    06-22-09 11:09 PM
  7. Cone@China's Avatar
    I think 231 is the best!
    06-22-09 11:21 PM
  8. rayporsche's Avatar
    Updated from 114 to 4.6.1.250 like 3 weeks ago and everything and I mean everything is running super smooth and fast, even the process was a piece of cake when I upgraded it with a third party theme running, only deleted the vendor xml, all of my third party apps. work perfect and the others as well...that been said you should do some research first.
    06-23-09 12:37 AM
  9. Blindfutur3's Avatar
    Thanks for all the replies folks. The reason I was asking the question was because I'm sure there's a reason you have to choose your service provider, and I didn't want to choose the wrong one and make a mess of my Berry or something.

    Since their isn't an option for an unlocked device, and the Carphone Warehouse option seems broke, I'll go with the Vodafone UK option.

    Again, thanks everyone


    ~ John
    06-23-09 02:46 AM
  10. lilro's Avatar
    Actually, as long as you delete the vendor.xml file, there are no carrier-specific issues afaik.

    Posted from my CrackBerry at wapforums.crackberry.com
    06-23-09 02:49 AM
  11. Blindfutur3's Avatar
    Oh, well that's a lot more reassuring. Will get to updating when I get home then.

    Thanks lilro
    06-23-09 02:52 AM
  12. Willie2Short's Avatar
    The reason I was asking the question was because I'm sure there's a reason you have to choose your service provider,


    ~ John
    You don't have to use your service providers OS. lilro is right - just delete the vendor.xml file.

    I'm sure you would like the 4.6.1.250 OS.

    Just backup your blackberry before you update. You can always go back to the one you had if you don't like it.
    06-23-09 03:09 AM
  13. Blindfutur3's Avatar
    Thanks Willie2short, and everyone else who replied. Can't wait to get home now and update my Berry.

    Cheers,


    ~ John

    Posted from my CrackBerry at wapforums.crackberry.com
    06-23-09 03:20 AM
  14. aristile's Avatar
    You clearly need to read through the OS installation guides before you begin any upgrading. Please save yourself a headache and become completely comfortable with the process (each step) before proceeding. You do not want to end up with a nuked Blackberry and we are trying to help you so that in a few days you do not end up with a new thread asking for help to fix your Blackberry or help you install the OS because you are stuck - this happens to many many people here because they do not take the time to read the guides.
    06-23-09 10:42 AM
  15. Blindfutur3's Avatar
    I've read the guide. I've been following it up until the OS choice step, and I'll continue to follow it from there on.

    Posted from my CrackBerry at wapforums.crackberry.com
    06-23-09 01:09 PM
  16. Blindfutur3's Avatar
    Just a quick update to this thread, and a thank you to everyone who posted.

    I just successfully updated my Curve to 4.6.1.250 using the TIM Italy firmware. Works great so far. Had to delete and re-install Google Maps, FB and Google Sync, but worth it.

    Thanks everyone,

    John
    06-30-09 04:14 PM
LINK TO POST COPIED TO CLIPBOARD